E-MailRelay

Public Member Functions | List of all members
GVerifiers::ExecutableVerifier Class Reference

A Verifier that runs an executable. More...

`#include <gexecutableverifier.h>`

Inheritance diagram for GVerifiers::ExecutableVerifier:
[legend]
Collaboration diagram for GVerifiers::ExecutableVerifier:
[legend]

## Public Member Functions
| ExecutableVerifier (GNet::EventState, const GSmtp::Verifier::Config &, const G::Path &)
| Constructor. More...
| ExecutableVerifier (const ExecutableVerifier &)=delete
| ExecutableVerifier (ExecutableVerifier &&)=delete
ExecutableVerifier & | operator= (const ExecutableVerifier &)=delete
ExecutableVerifier & | operator= (ExecutableVerifier &&)=delete
Public Member Functions inherited from GSmtp::Verifier
virtual void | verify (const Request &)=0
| Checks a recipient address and asynchronously returns a GSmtp::VerifierStatus structure to indicate whether the address is a local mailbox, what the full name is, and the canonical address.
virtual G::Slot::Signal< Command, const VerifierStatus & > & | doneSignal ()=0
| Returns a signal that is emit()ed when the verify() request is complete.
virtual void | cancel ()=0
| Aborts any current processing.
virtual | ~Verifier ()=default
| Destructor.

## Additional Inherited Members
Public Types inherited from GSmtp::Verifier
enum class | Command { VRFY , RCPT }

## Detailed Description

A Verifier that runs an executable.

Definition at line 38 of file gexecutableverifier.h.

## Constructor & Destructor Documentation

## ◆ ExecutableVerifier()

GVerifiers::ExecutableVerifier::ExecutableVerifier | ( | GNet::EventState | es,
|  | const GSmtp::Verifier::Config & | config,
|  | const G::Path & | path
| ) |  |

Constructor.

Definition at line 32 of file gexecutableverifier.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gverifiers/gexecutableverifier.h
- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gverifiers/gexecutableverifier.cpp